aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcapture.sh4
-rwxr-xr-xextract-function-header.sh4
-rwxr-xr-xextract-function.sh4
-rwxr-xr-xsrc/Specific/X25519/C64/compiler.sh4
4 files changed, 4 insertions, 12 deletions
diff --git a/capture.sh b/capture.sh
index c41ee167d..6eef0dcd0 100755
--- a/capture.sh
+++ b/capture.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-set -e || true
-set -u || true
-set -o pipefail || true
+set -eu
machine=$(etc/machine.sh)
measurement=$($1/measure | (LC_ALL=C sort -n || true) | head -1024 | tail -1)
diff --git a/extract-function-header.sh b/extract-function-header.sh
index a93fb52f8..3535e3c37 100755
--- a/extract-function-header.sh
+++ b/extract-function-header.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-set -e || true
-set -u || true
-set -o pipefail || true
+set -eu
case "$#" in
0)
diff --git a/extract-function.sh b/extract-function.sh
index c2deef7f2..1d1ec2e89 100755
--- a/extract-function.sh
+++ b/extract-function.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-set -e || true
-set -u || true
-set -o pipefail || true
+set -eu
case "$#" in
0)
diff --git a/src/Specific/X25519/C64/compiler.sh b/src/Specific/X25519/C64/compiler.sh
index b05a73567..4a9f2ce77 100755
--- a/src/Specific/X25519/C64/compiler.sh
+++ b/src/Specific/X25519/C64/compiler.sh
@@ -1,6 +1,4 @@
#!/bin/sh
-set -e || true
-set -u || true
-set -o pipefail || true
+set -eu
gcc -march=native -mtune=native -O3 -flto -fomit-frame-pointer -fwrapv -Wno-attributes $@